@font-face {
    font-family: "Stack-bold";
    src:url("/asset/font/Stack_Sans_Notch/static/StackSansNotch-Bold.ttf") format("truetype");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
    size-adjust: 95%; /* Přizpůsobení velikosti */
    ascent-override: 90%; /* Přizpůsobení výšky */
}

@font-face {
    font-family: "SansLight";
    src:url("/asset/font/Source_Sans_3/static/SourceSans3-Light.ttf");
    font-weight: 100;
    font-style: normal;
    font-display: swap;
    size-adjust: 95%; /* Přizpůsobení velikosti */
    ascent-override: 90%; /* Přizpůsobení výšky */
}

@font-face {
    font-family: "SansBold";
    src:url("/asset/font/Source_Sans_3/static/SourceSans3-Regular.ttf");
    font-weight: 100;
    font-style: normal;
    font-display: swap;
    size-adjust: 95%; /* Přizpůsobení velikosti */
    ascent-override: 90%; /* Přizpůsobení výšky */
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --light-font: "SansLight", sans-serif;
    --title-font: "Stack-bold", sans-serif;
    --bold-font: "SansBold", sans-serif;
    --bg-color: #2e2e2e;
    --color-font: rgb(244, 248, 250);
    --color-font-white: rgb(234, 231, 231);
    --icon-filter:  invert(50%) sepia(100%) saturate(1000%) hue-rotate(100deg);
    --bg-fialova: #e5682d;
}
/* BASIC */

body {
    font-family: var(--light-font);
    font-size: 130%;
    background-color: var(--bg-color);
    color: var(--color-font);
}

strong{
    font-family: var(--bold-font);
    color: #f6b94a;
}

p{
    vertical-align: top;
    line-height: 1.5em;
}


h1 {
    font-family: var(--bold-font);
    line-height: 46px;
    color: var(--color-font-white);
    font-size: clamp(1.6rem, 6vw, 2.4rem);
}

h2 {
    font-family: var(--bold-font);
    line-height: 36px;
    margin: 25px 0;
    color: var(--color-font-white);
    font-size: 1.9em;
}
.mensi{
    font-size: 1.3em;
}
h3{
    font-family: var(--bold-font);
    color: #e8b50d;
}

p {
    margin: 20px 0;
    text-align: justify;
    hyphens: auto;
}

a:link,
a:visited,
a:hover,
a:active {
    text-decoration: none;
}


/* LAYOUT */

.container {
    padding: 80px 0;
    background-color: #434343;
}

.container-svetla {
    padding: 80px 0;
    background-color: rgba(35, 66, 74, 0.08);
}



.adresa{
    border-radius: 10px;
    color: rgba(248, 245, 245, 0.81);
    padding: 20px 25px;
    line-height: 30px;
    margin: 10px 0;
    background-color: rgba(255, 255, 255, 0.1);
}


.content {
    position: relative;
    background-size: cover;
}

.article{
    width: 90%;
    max-width:1200px;
    margin: 0 auto;

}

.footpage{
    text-align: center;
    line-height: 1.8em;
    font-size: 0.9em;
}

.bila{
    color: white;
}

.bila:hover{
    color: #e8b50d;
}

.button,
.button:visited,
.button-dark {
    display: inline-block;
    max-width: 300px;
    margin: 20px 0;
    padding: 10px 20px;
    color: #ffffff;
    background-color: #5d5b5b;
    border: 1px solid #ffffff;
    border-radius: 100px;
    text-align: center;
    transition: all 0.1s ease;
}

.button-dark,
.button-dark:visited {
    margin: 20px 10px 30px 0;
    color: #464646;
    border-color: #464646;
}

.button:hover,
.button-dark:hover {
    transition: all 0.3s ease;
}

.button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

.button-dark:hover {
    color: #ffffff;
    background-color: rgba(70, 70, 70, 0.9);
}


@media (min-width: 800px) {
    .row {
        display: flex;
    }

    .col {
        width: 100%;
    }

    .col + .col {
        margin-left: 3em;
    }
    .rowitem {
        display: flex;
        gap: 1rem;
    }

    .col-1 {
        flex: 1;
    }

    .col-2 {
        flex: 2;
    }
    .col-1 +  .col-2{
        margin-left: 2em;
    }

}

@media screen and (max-width: 970px){

    .skryt{
        display: none;
    }

}


.foto{
    width: 100%;
    max-width: 100%;
    max-height: 350px; /* nebo pevná výška, pokud chcete */
    border-radius: 10px;
    object-fit: cover;
}

.margin-leva{
    margin-left: 20px;
}

.logoalimax{
    max-width: 220px;
}


.motto{
    font-style: italic;
}

#cookies, .table {
    border-collapse: collapse;
    width: 100%;
    margin: 20px 0;
    font-size: clamp(0.8125rem, 0.5781rem + 0.75vw, 1rem);

}

#cookies td, #cookies th {
    border: 1px solid rgb(234, 232, 231);
    padding: 3px 15px;
}

#cookies tr:nth-child(even), .table tr:nth-child(even)
{ background-color: rgba(243, 237, 216, 0.29);}

#cookies tr:hover, .table tr:hover
{background-color: rgba(187, 199, 241, 0.5);}

#cookies th, .table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: center;
    background-color: #e80d0d;
    color: white;
}

ul.seznam {
    margin: 1.5em 3em;
    padding-left: 0;
    cursor: pointer;
    list-style: none;
}

ul.seznam li {
    position: relative;
    padding-left: 2.5rem;
    margin-bottom: 12px;
    line-height: 1.5em;
}

ul.seznam li:last-child {
    margin-bottom: 0;
}

ul.souhlas li::before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 24px;
    height: 24px;
    background-image: url("../images/check2-circle.svg");
    background-size: contain;
    background-repeat: no-repeat;
    filter: var(--icon-filter);
}

ul.seznam-bez-svg {
    list-style: none;
    padding-left: 0;
}

@media screen and (max-width: 480px) {
    ul.seznam {
        margin: 1.5em 0.2em;
    }

}

#cookie-bar, .cookie-container {
    display: none;
    position: fixed !important;
    bottom: 20px !important;
    right: 20px !important;
    z-index: 9999999 !important;
    width: calc(100% - 40px);
    max-width: 400px;
    background: #000000 !important;
    color: #ffffff !important;
    padding: 20px !important;
    border: 1px solid var(--bg-fialova); !important;
    border-radius: 15px !important;
    box-shadow: 0 10px 40px rgba(0,0,0,0.8);
    flex-direction: column;
    gap: 15px;
    box-sizing: border-box;
}

.cookie-text {
    font-size: 14px;
    line-height: 1.5;
}

.cookie-text a {
    color: var(--bg-fialova);
    text-decoration: underline;
}

.cookie-buttons {
    display: flex;
    flex-direction: column;
    gap: 10px;
    transition: background-color 0.3s ease;
}
#cookie-accept-all {
    background: var(--bg-fialova);
    color: #fff;
    border: none;
    padding: 12px;
    cursor: pointer;
    font-weight: bold;
    border-radius: 8px;
    transition: background 0.2s;
}

#cookie-accept-all:hover {
    background: var(--bg-fialova);
}

#cookie-reject {
    background: transparent;
    color: #ccc;
    border: 1px solid #333;
    padding: 10px;
    cursor: pointer;
    border-radius: 8px;
    font-size: 13px;
    transition: all 0.2s;
}

#cookie-reject:hover {
    background: #1a1a1a;
    color: #fff;
}

.cookie-settings-btn {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 9998;
    background: #333;
    color: #fff;
    border: 1px solid var(--bg-fialova);
    border-radius: 50%;
    width: 45px;
    height: 45px;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease;
    box-shadow: 0 4px 10px rgba(0,0,0,0.3);
}
.cookie-settings-btn:hover {
    transform: scale(1.05);
    background-color: var(--bg-fialova);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
}

.cookie-settings-btn:active {
    transform: scale(0.98);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.2);
}
.cookie-settings-btn i {
    font-size: 24px;
}

.cookie-close {
    text-align: center;
    font-size: 0.6em;
}

/* MEDIA QUERY PRO MOBILY (užší než 480px) */
@media screen and (max-width: 480px) {
    #cookie-bar, .cookie-container {
        right: 10px !important;
        bottom: 10px !important;
        width: calc(100% - 20px); /* Menší okraje na malých displejích */
        max-width: none; /* Zrušíme limit 300px */
    }

    .cookie-settings-btn {
        bottom: 10px;
        right: 10px;
    }
}

.no-phone-detection {
    text-decoration: none;
    color: #ffffff;
    pointer-events: none;
}